Skip to content
Permalink
Browse files

Merge pull request #2867 from raelgc/update_dolphin_depends

Update dolphin depends
  • Loading branch information...
joolswills committed Nov 7, 2019
2 parents 7c6c2a3 + fbfa6c3 commit 5941e53df076d507ef4a6de90fc5ff46a2be16ba
Showing with 3 additions and 1 deletion.
  1. +3 −1 scriptmodules/emulators/dolphin.sh
@@ -17,7 +17,9 @@ rp_module_section="exp"
rp_module_flags="!arm"

function depends_dolphin() {
local depends=(cmake pkg-config libao-dev libasound2-dev libavcodec-dev libavformat-dev libbluetooth-dev libenet-dev libgtk2.0-dev liblzo2-dev libminiupnpc-dev libopenal-dev libpulse-dev libreadline-dev libsfml-dev libsoil-dev libsoundtouch-dev libswscale-dev libusb-1.0-0-dev libwxbase3.0-dev libwxgtk3.0-dev libxext-dev libxrandr-dev portaudio19-dev zlib1g-dev libudev-dev libevdev-dev libmbedtls-dev libcurl4-openssl-dev libegl1-mesa-dev qtbase5-private-dev)
local depends=(cmake pkg-config libao-dev libasound2-dev libavcodec-dev libavformat-dev libbluetooth-dev libenet-dev liblzo2-dev libminiupnpc-dev libopenal-dev libpulse-dev libreadline-dev libsfml-dev libsoil-dev libsoundtouch-dev libswscale-dev libusb-1.0-0-dev libxext-dev libxi-dev libxrandr-dev portaudio19-dev zlib1g-dev libudev-dev libevdev-dev libmbedtls-dev libcurl4-openssl-dev libegl1-mesa-dev qtbase5-private-dev)
# current HEAD of dolphin doesn't build gtk2 UI anymore
compareVersions $__gcc_version lt 6.0.0 && depends+=(libgtk2.0-dev libwxbase3.0-dev libwxgtk3.0-dev)
getDepends "${depends[@]}"
}

0 comments on commit 5941e53

Please sign in to comment.
You can’t perform that action at this time.